#ifndef pfodWifiConfig_AdafruitCC3000_h
#define pfodWifiConfig_AdafruitCC3000_h
/**
 pfodWifiConfig for Arduino Compatibles
 http://www.forward.com.au/pfod/pfodWifiConfig/index.html
 
 (c)2015 Forward Computing and Control Pty. Ltd.
 This code may be freely used for both private and commerical use.
 Provide this copyright is maintained.
 */

#include "pfodWifiConfig.h"

// ======================
class pfodWifiConfig_WiFly: public pfodWifiConfig {
public:
  void configureWifiConfig(Stream* io, int eepromAddress, const char* ssid, const char* password, int portNo, byte mode,
  uint16_t security, uint16_t ipSources);
void setupWiFi(Stream *io, const char* accessPoint_ssid, const char* accessPoint_pw, const char* ipAddress, const int localPort);
private:
boolean waitForAOK(Stream * io);
boolean waitFor( Stream* io, const char* str);
void write(Stream * io, const __FlashStringHelper * ifsh);
void write(Stream * io, const __FlashStringHelper * ifsh,  boolean newLine);
void write(Stream * io, const char * str);
void write(Stream * io, const char* str, boolean newLine);
void write(Stream * io, int i);
void write(Stream * io, int i, boolean newLine);
void dumpReply(Stream * io);
};


#endif
